Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Cuyahoga FCKEditor Security Bypass Vulnerability


Vulnerability Assessment Details

Cuyahoga FCKEditor Security Bypass Vulnerability

Vulnerability Assessment Summary
Tries to call FCKEditor's upload.php script

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote web server contains a .NET application that is affected by a
security bypass vulnerability.

Description :

The remote host is running Cuyahoga, an open-source .NET web site
framework.

The installation of Cuyahoga fails to require authorization to access
the FCKEditor component included with it. An unauthenticated remote
attacker may be able to leverage this flaw to view and upload files
with FCKEditor.

See also :

http://www.cuyahoga-project.org/10/section.aspx/61

Solution :

Either retrieve the updated 'Web.config' file and place it in the
'Support/FCKeditor/editor/filemanager' directory of the affected site
or upgrade to Cuyahoga 1.0.1 or later.

Network Security Threat Level:

Low / CVSS Base Score : 2.3
(AV:R/AC:L/Au:NR/C:N/I:P/A:N/B:N)

Networks Security ID: 21927

Vulnerability Assessment Copyright: This script is Copyright (C) 2007 Tenable Network Security

Cables, Connectors

Dell PowerEdge R630 Server 2 X E5-2620 V3 H730 2PS 2 X 1.8TB 10K SAS 128GB RAM
$4325.0
Dell PowerEdge R630 Server 2 X E5-2620 V3 H730 2PS 2 X 1.8TB 10K SAS 128GB RAM pictureDell PowerEdge R630 Server 2 X E5-2620 V3 H730 2PS 8 X 1.8TB 10K SAS 64GB RAM
$6615.0
Dell PowerEdge R630 Server 2 X E5-2620 V3 H730 2PS 8 X 1.8TB 10K SAS 64GB RAM pictureDell PowerEdge R630 Server 2 X E5-2620 V3 H730 7 X 1.8TB 10K SAS 64GB RAM 2PS
$6140.0
Dell PowerEdge R630 Server 2 X E5-2620 V3 H730 7 X 1.8TB 10K SAS 64GB RAM 2PS pictureDell PowerEdge R630 Server 2 X E5-2620 V3 H730 2PS 6 X 1.8TB 10K SAS 64GB RAM
$5665.0
Dell PowerEdge R630 Server 2 X E5-2620 V3 H730 2PS 6 X 1.8TB 10K SAS 64GB RAM picture


Discussions

No Discussions have been posted on this vulnerability.